=== debian/changelog ===
ros-one-imu-filter-madgwick (1.2.6-4jammy.20251023.0850) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 23 Oct 2025 08:50:18 +0000

ros-one-imu-filter-madgwick (1.2.6-0jammy) jammy; urgency=high

  * Merge pull request #192 <https://github.com/CCNYRoboticsLab/imu_tools/issues/192> from enwaytech/av/remove_launchers
    Increase max stddev, add pose visualization, fix error messages
  * add timeout to lookupTransform
    Otherwise there are a lot of warnings of lookup would require extrapolation into the future
  * publish orientation as Pose to vis on rviz
  * show correct topics even if remapped
  * increase max covariance
  * Contributors: Adi Vardi, Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-imu-filter-madgwick (1.2.5-0jammy) jammy; urgency=high

  * Added ability to reset IMU filters when ROS time jumps back. (#165 <https://github.com/CCNYRoboticsLab/imu_tools/issues/165>)
  * Contributors: Martin Pecka

 -- Martin Günther <martin.guenther1980@gmail.com>  Fri, 19 Aug 2022 00:00:00 -0000

ros-one-imu-filter-madgwick (1.2.4-0jammy) jammy; urgency=high

  * Reformat everything using clang-format
  * Fix package dependencies
  * Fix trailing whitespace
  * Fix typo
  * Add declination and yaw offset. (#121 <https://github.com/CCNYRoboticsLab/imu_tools/issues/121>)
    Fixes #120 <https://github.com/CCNYRoboticsLab/imu_tools/issues/120>.
  * Add license files
    The "COPYING" file incorrectly had the text of the LGPL, but the
    original Madgwick filter [1], [2] is GPL licensed. The source code
    headers correctly have the GPLv3 license text.
    [1]: https://x-io.co.uk/open-source-imu-and-ahrs-algorithms/
    [2]: https://github.com/xioTechnologies/Fusion
  * Contributors: Martin Günther, tgreier

 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 12 Apr 2022 00:00:00 -0000

ros-one-imu-filter-madgwick (1.2.3-0jammy) jammy; urgency=high

  * Fix "non standard content" warning in imu_tools metapackage
    Fixes #135 <https://github.com/ccny-ros-pkg/imu_tools/issues/135>.
  * Add example launch file for imu_filter_madgwick (#132 <https://github.com/ccny-ros-pkg/imu_tools/issues/132>)
  * Update maintainers in package.xml
  * Fix warnings: reordering and unused vars
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther, pietrocolombo

 -- Martin Günther <martin.guenther1980@gmail.com>  Fri, 09 Apr 2021 00:00:00 -0000

ros-one-imu-filter-madgwick (1.2.2-0jammy) jammy; urgency=high

  * Drop the signals component of Boost (#103 <https://github.com/ccny-ros-pkg/imu_tools/issues/103>)
  * Add the option to remove the gravity vector (#101 <https://github.com/ccny-ros-pkg/imu_tools/issues/101>)
  * fix install path & boost linkage issues
  * Contributors: Alexis Paques, Martin Günther, Mike Purvis, Sean Yen

 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 25 May 2020 00:00:00 -0000

ros-one-imu-filter-madgwick (1.2.1-0jammy) jammy; urgency=high

  * Skip messages and warn if computeOrientation fails
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 06 May 2019 00:00:00 -0000

ros-one-imu-filter-madgwick (1.2.0-0jammy) jammy; urgency=high

  * Remove outdated Makefile
  * Add warning when IMU time stamp is zero
    Closes #82 <https://github.com/ccny-ros-pkg/imu_tools/issues/82>.
  * update to use non deprecated pluginlib macro (#77 <https://github.com/ccny-ros-pkg/imu_tools/issues/77>)
  * Contributors: Martin Günther, Mikael Arguedas

 -- Martin Günther <martin.guenther1980@gmail.com>  Fri, 25 May 2018 00:00:00 -0000

ros-one-imu-filter-madgwick (1.1.5-0jammy) jammy; urgency=high

  * Initial release into Lunar
  * Remove support for Vector3 mag messages
  * Change default world_frame = enu
  * Rewrite rosbags: Use MagneticField for magnetometer
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Wed, 24 May 2017 00:00:00 -0000

ros-one-imu-filter-madgwick (1.1.4-0jammy) jammy; urgency=high

  * Print warning if waiting for topic
    Closes #61 <https://github.com/ccny-ros-pkg/imu_tools/issues/61>.
  * Fix boost::lock_error on shutdown
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 22 May 2017 00:00:00 -0000

ros-one-imu-filter-madgwick (1.1.3-0jammy) jammy; urgency=high

  * Return precisely normalized quaternions
    Fixes #67 <https://github.com/ccny-ros-pkg/imu_tools/issues/67> : TF_DENORMALIZED_QUATERNION warning added in TF2 0.5.14.
  * Tests: Check that output quaternions are normalized
  * Fixed lock so it stays in scope until end of method.
  * Contributors: Jason Mercer, Martin Guenther, Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Fri, 10 Mar 2017 00:00:00 -0000

ros-one-imu-filter-madgwick (1.1.2-0jammy) jammy; urgency=high

  * Add missing dependency on tf2_geometry_msgs
  * Contributors: Martin Guenther

 -- Martin Günther <martin.guenther1980@gmail.com>  Wed, 07 Sep 2016 00:00:00 -0000

ros-one-imu-filter-madgwick (1.1.1-0jammy) jammy; urgency=high

  * Add parameter "world_frame": optionally use ENU or NED instead of NWU
    convention (from #60 <https://github.com/ccny-ros-pkg/imu_tools/issues/60>;
    closes #36 <https://github.com/ccny-ros-pkg/imu_tools/issues/36>)
  * Add parameter "stateless" for debugging purposes: don't do any stateful
    filtering, but instead publish the orientation directly computed from the
    latest accelerometer (+ optionally magnetometer) readings alone
  * Replace the (buggy) Euler-angle-based initialization routine
    (ImuFilterRos::computeRPY) by a correct transformation
    matrix based one (StatelessOrientation::computeOrientation) and make it
    available as a library function
  * Refactor madgwickAHRSupdate() (pull out some functions, remove micro
    optimizations to improve readability)
  * Add unit tests

