## ros-one-imu-filter-madgwick 1.2.6-4jammy.20251207.2144

=== debian/changelog ===
ros-one-imu-filter-madgwick (1.2.6-4jammy.20251207.2144) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 07 Dec 2025 21:44:36 +0000
