=== debian/control ===
Source: ros-one-imu-filter-madgwick
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther1980@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-filters, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://ros.org/wiki/imu_filter_madgwick
Standards-Version: 3.9.2

Package: ros-one-imu-filter-madgwick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-filters, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Description: Filter which fuses angular velocities, accelerations, and (optionally) magnetic readings from a generic IMU device into an orientation.
 Based on code by Sebastian Madgwick, http://www.x-io.co.uk/node/8#open_source_ahrs_and_imu_algorithms.
