## ros-one-imu-filter-madgwick 1.2.6-4noble.20251208.0844

=== debian/changelog ===
ros-one-imu-filter-madgwick (1.2.6-4noble.20251208.0844) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 08 Dec 2025 08:44:11 +0000
