## ros-one-imu-filter-madgwick 1.2.7-2jammy.20260223.2135

=== debian/changelog ===
ros-one-imu-filter-madgwick (1.2.7-2jammy.20260223.2135) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 23 Feb 2026 21:35:02 +0000

ros-one-imu-filter-madgwick (1.2.7-0jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 29 Apr 2025 00:00:00 -0000
